Score inputs using an evaluator
curl --request POST \
--url https://api.example.com/v3/evals/score \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"evaluator_name": "<string>",
"parameters": {
"key1": "value1",
"key2": "value2"
},
"inputs": {
"key1": "value1",
"key2": "value2"
}
}
'import requests
url = "https://api.example.com/v3/evals/score"
payload = {
"evaluator_name": "<string>",
"parameters": {
"key1": "value1",
"key2": "value2"
},
"inputs": {
"key1": "value1",
"key2": "value2"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
evaluator_name: '<string>',
parameters: {key1: 'value1', key2: 'value2'},
inputs: {key1: 'value1', key2: 'value2'}
})
};
fetch('https://api.example.com/v3/evals/score', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "3.0",
"kind": "NORMAL",
"data": {
"scores": [
{
"name": "<string>",
"value": 123,
"label": "<string>",
"reasoning": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}Evaluation
Score inputs using an evaluator
Score inputs using an evaluator
POST
/
v3
/
evals
/
score
Score inputs using an evaluator
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body for scoring inputs
⌘I